summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Michales Michaloudes <korgie@gmail.com>2010-05-13 00:59:37 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:59:37 +0200
commitb38d1bf8411168752796c302442de572cf46d740 (patch)
treedc90dbf167eb5e2c09bd30be5449b3fd54b4ce06
parent17b497c04615049e5814158261f0bfafce05b648 (diff)
downloadslackbuilds-b38d1bf8411168752796c302442de572cf46d740.tar.gz
slackbuilds-b38d1bf8411168752796c302442de572cf46d740.tar.xz
multimedia/dssi: Added to 13.0 repository
-rw-r--r--multimedia/dssi/README9
-rw-r--r--multimedia/dssi/dssi.SlackBuild81
-rw-r--r--multimedia/dssi/dssi.info10
-rw-r--r--multimedia/dssi/slack-desc19
4 files changed, 119 insertions, 0 deletions
diff --git a/multimedia/dssi/README b/multimedia/dssi/README
new file mode 100644
index 0000000000..42406a229b
--- /dev/null
+++ b/multimedia/dssi/README
@@ -0,0 +1,9 @@
+DSSI (pronounced "dizzy") is an API for audio processing plugins, particularly
+useful for software synthesis plugins with user interfaces.
+
+DSSI is an open and well-documented specification developed for use in Linux
+audio applications, although portable to other platforms. It may be thought of
+as LADSPA-for-instruments, or something comparable to VSTi.
+
+This requires qt3 from extra/kde3-compat, ladspa_sdk, libsamplerate, liblo,
+and jack.
diff --git a/multimedia/dssi/dssi.SlackBuild b/multimedia/dssi/dssi.SlackBuild
new file mode 100644
index 0000000000..b60d99b047
--- /dev/null
+++ b/multimedia/dssi/dssi.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for <dssi>
+# Written by Michales Michaloudes korgie@gmail.com
+
+PRGNAM=dssi
+VERSION=${VERSION:-1.0.0}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Make sure QTDIR is set
+[ -e /etc/profile.d/qt.sh ] && . /etc/profile.d/qt.sh
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cd $TMP/$PRGNAM-$VERSION/doc/
+cp -a RFC* why-use* midi-controllers.txt TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/dssi/dssi.info b/multimedia/dssi/dssi.info
new file mode 100644
index 0000000000..b0356ccbb7
--- /dev/null
+++ b/multimedia/dssi/dssi.info
@@ -0,0 +1,10 @@
+PRGNAM="dssi"
+VERSION="1.0.0"
+HOMEPAGE="http://dssi.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/sourceforge/dssi/dssi-1.0.0.tar.gz"
+MD5SUM="bc4c50f9f9b3cd13019718266f8f15af"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Michales Michaloudes"
+EMAIL="korgie@gmail.com"
+APPROVED="rworkman"
diff --git a/multimedia/dssi/slack-desc b/multimedia/dssi/slack-desc
new file mode 100644
index 0000000000..57d1c2dabc
--- /dev/null
+++ b/multimedia/dssi/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+dssi: dssi (the "dizzy" audio plugin API)
+dssi:
+dssi: DSSI (pronounced "dizzy") is an API for audio processing plugins,
+dssi: particularly useful for software synthesis plugins with user
+dssi: interfaces.
+dssi:
+dssi: DSSI is an open and well-documented specification developed for use
+dssi: in Linux audio applications, although portable to other platforms. It
+dssi: may be thought of as LADSPA-for-instruments, or something comparable
+dssi: to VSTi.
+dssi: